Name: sp
Summary: SGML parser & tools
Version: 1.2.1
Release: 1
Packager: Eric Kidd <eric.kidd@pobox.com>
Copyright: custom (similar to BSD license)
Group: Utilities/Text
Source: ftp://ftp.jclark.com/pub/sp/sp-1.2.1.tar.gz
Patch: sp-1.2.1-1.patch
Prefix: /usr
URL: http://www.jclark.com/
Provides: sp-nsgmls sp-spam sp-spent sp-sgmlnorm

%description
SGML is a language for expressing the abstract, logical structure of
a group of documents. This package contains several utilities for
manipulating SGML documents:

  nsgmls: parses SGML and prints it in an easy-to-process format
  sgmlnorm: translates SGML into a canonical format
  spent: SGML entity manager
  spam: stream editor for SGML markup

All documentation is in HTML format.

%package devel
Summary: Development files for SP, a C++ SGML parser library
Group: Utilities/Text
Requires: sp = 1.2.1-1

%description devel
SP is a library for parsing SGML documents. This package contains several
files needed to develop programs which use SP. These include a static
library and C++ header files.

%prep
%setup
%patch -p 1

%build
make

%install
make install
cp lib/libsp.a /usr/lib/
mkdir -p /usr/include/sp/
cp generic/*.h /usr/include/sp/
mkdir -p /usr/include/sp/native/
cp include/*.h include/*.cxx /usr/include/sp/native/

%files
%doc README
%doc COPYING
%doc japan.sgmldecl
%doc doc/
%doc pubtext/
%doc unicode/
/usr/bin/nsgmls
/usr/bin/sgmlnorm
/usr/bin/spam
/usr/bin/spent

%files devel
/usr/lib/libsp.a
/usr/include/sp/
